## org.eclipse.datatools.enablement.sybase.asa.catalog
Class SQLScriptsProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.catalog.SQLScriptsProvider

All Implemented Interfaces:
  ASASQLs

    public class SQLScriptsProvider

extends java.lang.Object
implements ASASQLs

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.catalog.ASASQLs

`ASE_BINARY_DISPLAY, BATCH_QUERY_TABLE_INDICES, BATCH_QUERY_TABLE_INDICES_ASA10, BATCH_QUERY_TABLE_TRIGGERS, COLUMN_NAME_DELIMITER, COLUMN_ORDER_DELIMITER, ISOLATION_LEVEL, QUERY_ALL_TABLE_INFO, QUERY_ALL_TABLE_INFO_ASA10, QUERY_ALL_UDT_INFO, QUERY_AUTHID_INFO, QUERY_CC_INFO, QUERY_CC_INFO_ASA10, QUERY_COLUMN_CONSTRAINTS, QUERY_COLUMN_CONSTRAINTS_ASA10, QUERY_COLUMN_INFO, QUERY_COLUMN_PERMISSIONS, QUERY_COLUMN_PERMISSIONS_BY_OBJ, QUERY_CONSTRAINT_INDEX_INFO_ASA10, QUERY_CONSTRAINTS, QUERY_CONSTRAINTS_ASA10, QUERY_DB_INFO1, QUERY_DB_INFO2, QUERY_DBSPACE_FILENAME, QUERY_DBSPACES, QUERY_DETAIL, QUERY_EVENT_INFO, QUERY_EVENT_SCHEDULES, QUERY_EVENTS, QUERY_FK_INFO, QUERY_GROUP_MEMBERS, QUERY_INDEX_INFO, QUERY_INDEX_INFO_ASA10, QUERY_NAME, QUERY_PARAMETER_INFO, QUERY_PK_INFO, QUERY_PLAN, QUERY_PLAN_AFTER_RUN, QUERY_PLAN_AS_HTML, QUERY_ROUTINE_INFO, QUERY_ROUTINE_INFO_ASA10, QUERY_ROUTINE_PERMISSIONS, QUERY_ROUTINE_PERMISSIONS_BY_OBJ, QUERY_ROUTINES, QUERY_ROUTINES_ASA10, QUERY_SCHEMAS, QUERY_TABLE_COLLUMNS, QUERY_TABLE_INDICES, QUERY_TABLE_INDICES_ASA10, QUERY_TABLE_INFO, QUERY_TABLE_INFO_ASA10, QUERY_TABLE_INFOS, QUERY_TABLE_PERMISSIONS, QUERY_TABLE_PERMISSIONS_BY_OBJ, QUERY_TABLE_TRIGGERS, QUERY_TABLES, QUERY_TRIGGER_INFO, QUERY_UC_INFO, QUERY_UDT_INFO, QUERY_UDTS, QUERY_USER_GROUP, QUERY_VIEW_DEFN, QUOTED_IDENTIFIER, SET_TEMPORARY_OPTION`

Constructor Summary
`SQLScriptsProvider()`

Method Summary
`static java.lang.String` `getBatchQueryTableIndex(Database db)`
`static java.lang.String` `getQueryAllTableInfo(Database db)`
`static java.lang.String` `getQueryCheckConstraintInfo(Database db)`
`static java.lang.String` `getQueryColumnConstraintsScript(Database db)`
`static java.lang.String` `getQueryConstraintsScript(Database db)`
`static java.lang.String` `getQueryForeignKeyInfo(Database db)`
`static java.lang.String` `getQueryIndexInfo(Database db)`
`static java.lang.String` `getQueryPrimaryKeyInfo(Database db)`
`static java.lang.String` `getQueryRoutineInfo(Database db)`
`static java.lang.String` `getQueryRoutines(Database db)`
`static java.lang.String` `getQueryTableIndex(Database db)`
`static java.lang.String` `getQueryTableInfo(Database db)`
`static java.lang.String` `getQueryUnqiueConstraintInfo(Database db)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLScriptsProvider

    public SQLScriptsProvider()

Method Detail

### getQueryConstraintsScript

    public static java.lang.String getQueryConstraintsScript(Database db)

### getQueryColumnConstraintsScript

    public static java.lang.String getQueryColumnConstraintsScript(Database db)

### getQueryTableIndex

    public static java.lang.String getQueryTableIndex(Database db)

### getBatchQueryTableIndex

    public static java.lang.String getBatchQueryTableIndex(Database db)

### getQueryIndexInfo

    public static java.lang.String getQueryIndexInfo(Database db)

### getQueryPrimaryKeyInfo

    public static java.lang.String getQueryPrimaryKeyInfo(Database db)

### getQueryUnqiueConstraintInfo

    public static java.lang.String getQueryUnqiueConstraintInfo(Database db)

### getQueryForeignKeyInfo

    public static java.lang.String getQueryForeignKeyInfo(Database db)

### getQueryCheckConstraintInfo

    public static java.lang.String getQueryCheckConstraintInfo(Database db)

### getQueryTableInfo

    public static java.lang.String getQueryTableInfo(Database db)

### getQueryAllTableInfo

    public static java.lang.String getQueryAllTableInfo(Database db)

### getQueryRoutines

    public static java.lang.String getQueryRoutines(Database db)

### getQueryRoutineInfo

    public static java.lang.String getQueryRoutineInfo(Database db)